(function () {
    // Datatables setup.
    var dataTable = $('#incidents').DataTable({
        'dom': 'Bfrtip',
        "bInfo": false,
        'buttons': [
            'csv'
        ],
        'ajax': {
            'url': '/metrics',
            'contentType': 'application/json',
            'type': 'GET',
            'dataSrc': function (data) {
                var attacked_peers = data.attacked_peers
                return Object.keys(attacked_peers).map(function (item) {
                    return {
                        Server: item,
                        Incidents: attacked_peers[item].count,
                        Stamp: attacked_peers[item].stamp
                    }
                })
            }
        },
        'order': [1, 'desc', 'desc'],
        'ordering': true,
        'searching': true,
        'columns': [
            { 'data': 'Server' },
            { 'data': 'Incidents' },
            { 'data': 'Stamp' }
        ]
    })

    // Update data table.
    setInterval(function () {
        dataTable.ajax.reload(null, false) // user paging is not reset on reload
    }, 1000)

})()